@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap");

/***** Start Main variables at default setting para sa tech tressure ****** */
:root {
  --primary-color: #dc775e;
  --primary-color-dark: #bb654f;
  --text-dark: #171717;
  --text-light: #525252;
  --extra-light: #f5f5f5;
  --white: #ffffff;
  --max-width: 1200px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* ****** Section container ****** */
.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

.section__header {
  margin-bottom: 1rem;
  font-size: 2.5rem;
  font-weight: 500;
  color: var(--text-dark);
}

.section__description {
  margin-bottom: 2rem;
  color: var(--text-light);
}
/* ****** Section container ****** */
.btn {
  padding: 0.75rem 2rem;
  font-size: 1rem;
  color: var(--white);
  white-space: nowrap;
  background: var(--primary-color);
  outline: none;
  border: none;
  cursor: pointer;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
  transition: 0.3s;
  border-radius: 7.5px;
  background-color: grey;
}

.btn:hover {
  background: var(--primary-color-dark);
  box-shadow: 5px 5xp 20px rgba(0, 0, 0, 0.2);
}

img {
  width: 100%;
  display: flex;
}

a {
  text-decoration: none;
}

html,
body {
  scroll-behavior: smooth;
  background-color: #f0f0f0;
  /* background: linear-gradient(250.59deg, #ffffff 0%, #c0c0c0 28.53%, #d9d8d8 75.52%); */
}

body {
  font-family: "Montserrat", sans-serif;
}
/***** End Main variables at default setting para sa tech tressure ****** */


/* ****** START OF NAVIGATION BAR ****** */
nav {
  position: sticky;
  isolation: isolate;
  top: 0;
  border-radius: 0 0 10px 10px;
  width: 90%;
  /* max-width: var(--max-width); */
  margin: auto;
  z-index: 9;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  background: linear-gradient(250.59deg, #ffffff 0%, #dddddd 28.53%, #d9d8d800 75.52%); 
}

.nav__bar {
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  background-color: var(--extra-light);
}

.nav__bar a {
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--text-dark);
}

.nav__menu__btn {
  font-size: 1.5rem;
  color: var(--text-dark);
  cursor: pointer;
}

.nav__links {
  list-style: none;
  position: absolute;
  width: 100%;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  background-color: var(--text-light);
  transform: translateY(-100%);
  transition: 0.5s;
  z-index: -1;
}

.nav__links.open {
  transform: translateY(0);
}

.nav__links a {
  font-weight: 500;
  color: var(--white);
  transition: 0.3s;
}

.nav__links a:hover {
  color: var(--primary-color);
}

#search-bar input{
  padding: 5px;
  border: none;
  border-radius: 5px;
}

/* ****** END OF NAVIGATION BAR ****** */

/* ****** START OF HEADER SECTION ****** */
.header__container {
  padding-top: 8rem;
  display: grid;
  gap: 2rem;
  text-align: center;
  height: 65%;
}

.header__content h1 {
  margin-bottom: 1rem;
  font-size: 1.3rem;
  font-weight: 500;
  color: var(--text-dark);
  line-height: 2.5rem;
  padding-top: 30px;
}

.header__content h1 span {
  font-size: 4.5rem;
  line-height: 4rem;
}

.header__image img {
  filter: drop-shadow(10px 10px 20px rgba(0, 0, 0, 0.2));
  -webkit-filter: drop-shadow(10px 10px 20px rgba(0, 0, 0, 0.2));
  animation: header 5s infinite;

}

@keyframes header {
  0%,
  100% {
    transform: translateY(0);
  }
  25% {
    transform: translateY(-20px);
  }
  75% {
    transform: translateY(20px);
  }
}

.about {
  background-color: var(--extra-light);
  padding: 50px;
  text-align: center;
}

.centered--text{
  padding: 50px;
  text-align: center;
}
.centered--text h2{
  font-weight: 600;
}
#sub-button{
  font-size: 0.8rem;
  font-weight: normal;
  font-family: "Montserrat", sans-serif;
}
/* ****** END OF HEADER SECTION ****** */

/* ******* Start ng picture with desc ****** */

.Main__Drone{
  width: 90%;
  margin: 100px auto;
}
.Main__Drone .product-title{
  margin-bottom: 50px;
  text-align: center;
}
.Main__Drone .product-title p{
  margin-bottom: 2px;
  text-transform: uppercase;
  font-size: 15px;
}
.Main__Drone .product-title h2{
  font-weight: 600;
}
.Main__Drone .product-title hr{
  width: 120px;
  margin: 14px auto;
  background: gray;
}
.Main__Drone .product-flex{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.product-flex .product-one{
  width: 24%;
  margin-bottom: 20px;
}
.product-flex .product-one img{
  width: 100%;
  border-radius: 12.5px;
}
.product-flex .product-one .product-image{
  position: relative;
}
.product-one .product-image .overlay{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #f9f9f9;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  border-radius: 12.5px;
  transition: opacity .4s ease-in-out;
}

.product-image .overlay i{
  margin: 0px 5px;
  padding: 5px;
  border: 1px solid #000;
  font-size: 13px;
  cursor: pointer;
  opacity: 0;
}


.product-one:hover .product-image .overlay i{
  animation: product_icon .5s ease-in-out forwards;
}
.product-one:hover .product-image .overlay i:nth-child(2){
  animation-delay: .2s;
}
.product-one:hover .product-image .overlay i:nth-child(3){
  animation-delay: .4s;
}

.product-one:hover .overlay{
  opacity: 1;
}

.product-one .product-image{
  margin-bottom: 15px;
}

@keyframes product_icon {
  0%{
      opacity: 0;
      margin-bottom: 50px;
  }
  100%{
      opacity: 1;
      margin-bottom: 0px;
  }
}

.product-one .content{
  display: flex;
  justify-content: center;
  text-align: center;
  align-items: center;
  margin-bottom: 7px;
}

.product-one .content h4{
  margin: 0;
  font-weight: 600;
  margin-top: 15px;
  font-size: 24px;
  text-transform: capitalize;
}

/* PARA SA PRICE TO PEDE NA DELETE TO */
.product-one .content section{
  font-size: 16px;
  font-weight: 600;
}
.buy__button{
  margin: 55px 0 25px 0;
  padding: 10px 20px;
  background-color: #6587af;
  color: #fff;
  border: none;
  border-radius: 10px;
  font-weight: 600;
}
.product-one article{
  text-transform: uppercase;
  font-size: 4px;
}

.info h5{
  font-size: 16px;
  font-weight: 500;
  margin: 15px 0 20px 0;
}
.info h3{
  font-size: 40px;
  font-weight: 100;
}
.info p{
  font-size: 14px;
  margin-bottom: 40px;
}
/* ******* End ng picture with desc ****** */


/* ------------- Responsiveness------------- */

@media(max-width: 991px){
  .Main__Drone .product-one{
      width: 32%;
  }
}

@media(max-width: 768px){
  .Main__Drone .product-one{
      width: 49%;
  }
}

@media(max-width: 576px){
  .Main__Drone .product-one{
      width: 100%;
  }
  .Main__Drone .product-title h2{
      font-size: 19px;
  }
  .Main__Drone .product-title hr{
      width: 100px;
  }
}
.text-inside .plus.img_active{
  transform: rotate(45deg);
}

.text-inside .text-box{
  width: 320px;
  background: #f9f9f9;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
  text-align: left;
  padding: 10px 0;
  transform: scale(0);
  transition: .5s;
}

.text-inside .text-box.active{
  transform: scale(1);
}
.text-inside .text-box img{
  width: 100px;
}
.text-inside .text-box h5{
  font-size: 17px;
  text-transform: capitalize;
}
.text-inside .text-box p{
  font-size: 13px;
  margin-bottom: 7px;
}
.text-inside .text-box a{
  text-decoration: none;
  color: var(--main-color);
  text-transform: capitalize;
  font-size: 14px;
}
/* ******PARA SA GALLERY***** */
.gallery__container {
  display: grid;
  gap: 1rem;
  grid-auto-rows: 300px;
  padding-top: 50px;
}

.gallery__image {
  position: relative;
  isolation: isolate;
}

.gallery__image img {
  height: 100%;
  object-fit: cover;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.2);
}

.gallery__image__details {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  place-content: center;
  gap: 1rem;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  cursor: pointer;
  transition: 0.3s;
}

.gallery__image__details h4 {
  font-size: 1.5rem;
  font-weight: 500;
  color: var(--white);
}

.gallery__image__details div {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  flex-wrap: wrap;
}

.gallery__image__details .btn {
  padding-inline: 1rem;
}

.gallery__image:hover .gallery__image__details {
  opacity: 1;
}

.article {
  background-color: var(--extra-light);
}

/* PARA SA ARTIVLE */
.article__grid {
  margin-top: 4rem;
  display: grid;
  gap: 4rem 1rem;
}

.article__card img {
  max-width: 400px;
  margin-inline: auto;
  margin-bottom: 1rem;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.2);
}

.article__card h4 {
  margin-bottom: 1rem;
  font-size: 1.5rem;
  font-weight: 500;
  color: var(--text-dark);
}

.article__card p {
  margin-bottom: 2rem;
  color: var(--text-light);
}

.article__card a {
  color: rgb(0, 0, 0);
  transition: 0.3s;
}

.article__card a:hover {
  color: var(--primary-color-dark);
}

.subscribe__container {
  display: grid;
  gap: 2rem;
  text-align: center;
}

/* SA SUBCRIBE TO PERO GINAWA KO NALNG NA SUPPRT */
.subscribe__image img {
  max-width: 350px;
  margin: auto;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.2);
}

.subscribe__content form {
  width: 100%;
  max-width: 500px;
  margin-inline: auto;
  display: flex;
  align-items: center;
  background-color: var(--extra-light);
}

.subscribe__content input {
  width: 100%;
  padding-inline: 1rem;
  font-size: 1rem;
  outline: none;
  border: none;
  background: transparent;
}

/* PARA SA FOOER */
.footer__container {
  display: grid;
  margin-right: 100px;
  gap: 2rem;
}

.footer__col h4 {
  margin-bottom: 2rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--text-dark);
}

.footer__links {
  list-style: none;
  display: grid;
  gap: 1rem;
}

.footer__links a {
  font-weight: 500;
  color: var(--text-light);
  transition: 0.3s;
}

.footer__links a:hover {
  color: var(--primary-color);
}

.footer__bar {
  max-width: var(--max-width);
  margin: auto;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  border-top: 2px solid var(--extra-light);
}

.footer__bar p {
  font-size: 0.9rem;
  font-weight: 500;
  color: var(--text-light);
  text-align: center;
}

.footer__socials {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.footer__socials a {
  font-size: 1.2rem;
  color: var(--text-light);
  transition: 0.3s;
}

.footer__socials a:hover {
  color: var(--primary-color);
}

/*======================================================================== */
@media (width > 576px) {
  .product__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .gallery__container {
    grid-template-columns: repeat(2, 1fr);
  }

  .gallery__image:nth-child(4) {
    grid-area: 1/2/2/3;
  }

  .article__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .banner__card {
    justify-content: flex-start;
  }

  .banner__container {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
}

/*======================================================================== */
@media (max-width: 940px) {
  #sub-button{
    margin-top: 10px;
  }
}

/*======================================================================== */
@media (max-width: 800px) {
  .box{
    display: none;
  }
}

/*======================================================================== */
@media (width > 768px) {
  nav {
    padding: 2rem 1rem;
    position: static;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-shadow: none;
  }

  .nav__bar {
    padding: 0;
    background-color: transparent;
  }

  .nav__menu__btn {
    display: none;
  }

  .nav__links {
    padding: 0;
    width: unset;
    position: static;
    transform: none;
    flex-direction: row;
    background-color: transparent;
  }

  .nav__links a {
    color: var(--text-dark);
  }

  /* PARA SA HEADER */
  .header__container {
    padding-top: 5rem;
    align-items: center;
    grid-template-columns: 1fr 2fr;
    text-align: left;
  }

  .header__image {
    grid-area: 1/2/2/3;
  }

  .about__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    text-align: left;
  }

  .about__image {
    grid-area: 1/2/2/3;
  }

  .product__grid {
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
  }

  /* PARA SA GALLERY */
  .gallery__container {
    grid-template-columns: repeat(3, 1fr);
  }

  .gallery__image:nth-child(1) {
    grid-area: 1/1/3/2;
  }

  .gallery__image:nth-child(2) {
    grid-area: 1/2/2/3;
  }

  .gallery__image:nth-child(3) {
    grid-area: 2/2/3/3;
  }

  .gallery__image:nth-child(4) {
    grid-area: 1/3/3/4;
  }

  .article__grid {
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
  }

  /* PARA SA SUPPORT OR SUBVDCRIVE */
  .subscribe__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    text-align: left;
  }

  .subscribe__content form {
    margin-inline-start: unset;
  }

  /* PARA SA FOOTER */
  .footer__container {
    grid-template-columns: repeat(4, 1fr);
  }

  .footer__bar {
    flex-direction: row;
  }
}

/* NEW ADDED NA MGA COMPONENTS NA WALA SA UNANG WIREFRAME */

/* SATRT PARA SA VIDEO TO */
.bgv{
  width: 100%;
  height: 400px;
  border-radius: 12.5px;
  object-fit: cover;
}
/* END OF PARA SA VIDEO TO */

/* PARA SA MGA ITEMS NA RESPONSIVE */
.body{
  place-items: center;
  display: grid;
}

/* ======START OF ADDED COMPONENTS FROM THE LOST HOSPITAL====== */
.row{
  width: 90%;
  max-width: 1170px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 50px;
  overflow-x: hidden;
  padding: 50px 0 45px 0;
}

.row .imgWrapper{
  overflow: hidden;
  border-radius: 15px;
}

.row .imgWrapper img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.75s;
}

.row .imgWrapper:hover img{
  transform: scale(1.1);
}

.row .contentWrapper{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-left: 30px;
}

.row .contentWrapper span.textWrapper{
  display: block;
  font-size: 20px;
  text-transform: capitalize;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 15px;
  margin-bottom: 20px;
}

.row .contentWrapper span.textWrapper span{
  display: inline-block; 
  background: #383f47;
  width: 75px;
  height: 3px;
}

.row .contentWrapper h2{
  font-size: 40px;
  font-weight: 700;
  color: #000;
  padding-bottom: 20px;
}

.row .contentWrapper p{
  font-size: 16px;
  line-height: 25px;
  padding-bottom: 25px;
}

.row .contentWrapper a{
  display: inline-block;
  text-decoration: none;
  background: #383f47;
  color: #fff;
  padding: 15px 40px;
  letter-spacing: 1px;
  user-select: none;
  border-radius: 12px;
  transition: all .6s;
}
.row .contentWrapper:hover a{
  transform: translateY(-7.5px);
  color: ghostwhite;
}

@media (max-width: 991px){
  .row{
      grid-template-columns: 1fr;
      grid-gap: 50px;
  }
  .row .contentWrapper{
      padding-left: 0;
  }
  
}
@media (max-width: 768px){
  .row{
      width: 90%;
  }
  .row .contentWrapper h2{
      font-size: 30px;
      padding-bottom: 20px
  }

  .row .contentWrapper p{
      font-size: 16px;
      line-height: 24px;
  }
}

@media (max-width: 575px){
  .row .contentWrapper span.textWrapper{
      font-size: 18px;
  }
  .row .contentWrapper h2{
      font-size: 25px;
  }

  .row .contentWrapper p{
      font-size: 15px;
      line-height: 22px;
  }
  .row .contentWrapper a{
      font-size: 15px;
      padding: 10px 20px;
  }
}
/* END OF PARA SA MGA ITEMS NA RESPONSIVE */



/* ***** PARA SA DRONE MENU TO YUNG NA SSCROLL ****** */
.brand-carousel {
	margin-top: 5.5%;
  background-color: #e6e6e6;
}
.owl-dots {
	text-align: center;
	margin-top: 3%;
  padding-bottom: 30px;
}
.owl-dot {
	display: inline-block;
	height: 7.5px !important;
	width: 20px !important;
	background-color: #878787 !important;
	opacity: 0.8;
	margin: 0 1px;
}
.owl-dot.active {
	background-color: #313131 !important;
}

.single-logo p{
  text-align: center;
  margin-top: 1.5rem;
}

/* ***** END OF PARA SA DRONE MENU TO YUNG NA SSCROLL ****** */


/* PARA SA INADD KO NA SAVE IMG */
.Save__Img{
  display: flex;
  justify-content: center;
  padding-top: 30px;
}
.Save__Img img{
  width: 90%;
  border-radius: 12.5px;
  transition: 0.75s;
}
.Save__Img:hover img{
  transform: scale(1.1);
}
/* END OF PARA SA INADD KO NA SAVE IMG */

/* GIMBAL AND CINE CAM CODES */
#product-one__border-radius img{
  border-radius: 10px 10px 0 0;
}
.gimbal-cinecam-info{
  padding: 20px;
  background-color: #fff;
  border-radius: 0 0 10px 10px;
}
.gimbal-cinecam-info h1{
  padding: 20px 0 40px 0;
  font-weight: 500;
  font-size: 1.5rem;
}
/* END OF GIMBAL AND CINE CAM CODES */